<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function aup_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_rules_defaults().
 */
function aup_rules_defaults() {
  return array(
    'rules' => array(
      'rules_question_author_selects_a_best_answer' => array(
        '#type' => 'rule',
        '#set' => 'event_best_answer_set',
        '#label' => 'User selects a best answer',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Answer author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'return $answer->uid != 0;',
              'vars' => array(
                '0' => 'answer',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'username' => '',
              'userid' => '[answer:author-uid]',
              '#argument map' => array(
                'user_loaded' => 'answer_author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'userid' => array(
                    '0' => 'answer',
                    '1' => ':global',
                  ),
                  'username' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#info' => array(
              'label' => 'Load the answer author',
              'label callback' => FALSE,
              'new variables' => array(
                'answer_author' => array(
                  'label' => 'answer author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#info' => array(
              'label' => 'Award 15 reputation points to the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#settings' => array(
              'points' => '15',
              'description' => 'Your answer has been selected as the best answer',
              'operation' => 'select best answer',
              'entity_type' => 'node',
              'entity_id' => '[question:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'answer_author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'question',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
          '2' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Load the current user',
              'label callback' => FALSE,
              'new variables' => array(
                'current_user' => array(
                  'label' => 'current user',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#settings' => array(
              'username' => '',
              'userid' => '[:global:user-id]',
              '#argument map' => array(
                'user_loaded' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'userid' => array(
                    '0' => ':global',
                  ),
                  'username' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
          '3' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'points' => '2',
              'description' => 'You selected a best answer',
              'operation' => 'select best answer',
              'entity_type' => 'node',
              'entity_id' => '[question:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'question',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Award 2 points to the current user',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_deletes_a_vote_up_on_a_question' => array(
        '#type' => 'rule',
        '#set' => 'event_voting_rules_delete_node',
        '#label' => 'User retracts a vote up on a question',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'question' => 'question',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'The node is a question',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The vote is up',
              'label callback' => FALSE,
              'arguments' => array(
                'vote' => array(
                  'type' => 'vote',
                  'label' => 'Vote',
                ),
              ),
              'module' => 'Votingapi',
            ),
            '#name' => 'voting_rules_condition_check_vote_value',
            '#settings' => array(
              'operator' => '>',
              'value' => '0',
            ),
            '#type' => 'condition',
          ),
          '2' => array(
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'global $user;
return $node->uid != $user->uid;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'The user is not the question author',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#weight' => 0,
          ),
          '3' => array(
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'return $node->uid != 0;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'The question author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Load the question author',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'new variables' => array(
                'author' => array(
                  'label' => 'question author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_action_node_load_author',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
                'author' => 'author',
              ),
            ),
            '#type' => 'action',
          ),
          '1' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'points' => '-5',
              'description' => 'A user retracted a vote up on your question',
              'operation' => 'retract vote',
              'entity_type' => 'node',
              'entity_id' => '[node:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Retract 5 reputation points from the question author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_retracts_a_vote_down_on_an_answer' => array(
        '#type' => 'rule',
        '#set' => 'event_voting_rules_delete_node',
        '#label' => 'User retracts a vote down on an answer',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The node is an answer',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'answer' => 'answer',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
          '1' => array(
            '#type' => 'condition',
            '#settings' => array(
              'operator' => '<',
              'value' => '0',
            ),
            '#name' => 'voting_rules_condition_check_vote_value',
            '#info' => array(
              'label' => 'The vote is down',
              'label callback' => FALSE,
              'arguments' => array(
                'vote' => array(
                  'type' => 'vote',
                  'label' => 'Vote',
                ),
              ),
              'module' => 'Votingapi',
            ),
            '#weight' => 0,
          ),
          '2' => array(
            '#info' => array(
              'label' => 'The user is not the answer author',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'global $user;
return $node->uid != $user->uid;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
          '3' => array(
            '#weight' => 0,
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'return $node->uid != 0;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'The answer author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              'username' => '',
              'userid' => '[:global:user-id]',
              '#argument map' => array(
                'user_loaded' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'userid' => array(
                    '0' => ':global',
                  ),
                  'username' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#info' => array(
              'label' => 'Load the current user',
              'label callback' => FALSE,
              'new variables' => array(
                'current_user' => array(
                  'label' => 'current user',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#weight' => -9,
          ),
          '1' => array(
            '#type' => 'action',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
                'author' => 'author',
              ),
            ),
            '#name' => 'rules_action_node_load_author',
            '#info' => array(
              'label' => 'Load the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'new variables' => array(
                'author' => array(
                  'label' => 'answer author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
          '2' => array(
            '#info' => array(
              'label' => 'Award 2 reputation points to the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#settings' => array(
              'points' => '2',
              'description' => 'A user retracted a vote down on your question',
              'operation' => 'retract vote',
              'entity_type' => 'node',
              'entity_id' => '[node:field_answer_question-nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
            '#weight' => 0,
          ),
          '3' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Award 1 reputation point to the current user',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#settings' => array(
              'points' => '1',
              'description' => 'You retracted a vote down on a question',
              'operation' => 'retract vote',
              'entity_type' => 'node',
              'entity_id' => '[node:field_answer_question-nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_retracts_a_vote_down_on_a_question' => array(
        '#type' => 'rule',
        '#set' => 'event_voting_rules_delete_node',
        '#label' => 'User retracts a vote down on a question',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'question' => 'question',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'The node is a question',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => 0,
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The vote is down',
              'label callback' => FALSE,
              'arguments' => array(
                'vote' => array(
                  'type' => 'vote',
                  'label' => 'Vote',
                ),
              ),
              'module' => 'Votingapi',
            ),
            '#name' => 'voting_rules_condition_check_vote_value',
            '#settings' => array(
              'operator' => '<',
              'value' => '0',
            ),
            '#type' => 'condition',
          ),
          '2' => array(
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'global $user;
return $node->uid != $user->uid;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'The user is not the question author',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#weight' => 0,
          ),
          '3' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The question author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'return $node->uid != 0;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => -9,
            '#info' => array(
              'label' => 'Load the current user',
              'label callback' => FALSE,
              'new variables' => array(
                'current_user' => array(
                  'label' => 'current user',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#settings' => array(
              'username' => '',
              'userid' => '[:global:user-id]',
              '#argument map' => array(
                'user_loaded' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'userid' => array(
                    '0' => ':global',
                  ),
                  'username' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Load the question author',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'new variables' => array(
                'author' => array(
                  'label' => 'question author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_action_node_load_author',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
                'author' => 'author',
              ),
            ),
            '#type' => 'action',
          ),
          '2' => array(
            '#type' => 'action',
            '#settings' => array(
              'points' => '2',
              'description' => 'A user retracted a vote down on your question',
              'operation' => 'retract vote',
              'entity_type' => 'node',
              'entity_id' => '[node:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Award 2 reputation points to the question author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#weight' => 0,
          ),
          '3' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'points' => '1',
              'description' => 'You retracted a vote down on a question',
              'operation' => 'retract vote',
              'entity_type' => 'node',
              'entity_id' => '[node:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Award 1 reputation point to the current user',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_retracts_a_vote_up_on_an_answer' => array(
        '#type' => 'rule',
        '#set' => 'event_voting_rules_delete_node',
        '#label' => 'User retracts a vote up on an answer',
        '#active' => 1,
        '#weight' => '-10',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'The node is an answer',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'answer' => 'answer',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
          '1' => array(
            '#type' => 'OR',
            '0' => array(
              '#type' => 'condition',
              '#settings' => array(
                'operator' => '>',
                'value' => '0',
              ),
              '#name' => 'voting_rules_condition_check_vote_value',
              '#info' => array(
                'label' => 'The vote is up',
                'label callback' => FALSE,
                'arguments' => array(
                  'vote' => array(
                    'type' => 'vote',
                    'label' => 'Vote',
                  ),
                ),
                'module' => 'Votingapi',
              ),
              '#weight' => 0,
            ),
            '#weight' => 0,
          ),
          '2' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The user is not the answer author',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'global $user;
return $node->uid != $user->uid;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'condition',
          ),
          '3' => array(
            '#info' => array(
              'label' => 'The answer author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'return $node->uid != 0;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
                'author' => 'author',
              ),
            ),
            '#name' => 'rules_action_node_load_author',
            '#info' => array(
              'label' => 'Load the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'new variables' => array(
                'author' => array(
                  'label' => 'answer author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'Node',
            ),
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Retract 10 reputation points from the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#settings' => array(
              'points' => '-10',
              'description' => 'A user retracted a vote up on your answer',
              'operation' => 'retract vote',
              'entity_type' => 'node',
              'entity_id' => '[node:field_answer_question-nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_unselects_a_prior_best_answer' => array(
        '#type' => 'rule',
        '#set' => 'event_best_answer_unset',
        '#label' => 'User unselects a prior best answer',
        '#active' => 1,
        '#weight' => '-10',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'return $answer->uid != 0;',
              'vars' => array(
                '0' => 'answer',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'Answer author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Load the answer author',
              'label callback' => FALSE,
              'new variables' => array(
                'answer_author' => array(
                  'label' => 'answer author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#settings' => array(
              'username' => '',
              'userid' => '[answer:author-uid]',
              '#argument map' => array(
                'user_loaded' => 'answer_author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'userid' => array(
                    '0' => 'answer',
                    '1' => ':global',
                  ),
                  'username' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
          '1' => array(
            '#type' => 'action',
            '#settings' => array(
              'points' => '-15',
              'description' => 'Your answer has been unselected as the best answer',
              'operation' => 'retract best answer',
              'entity_type' => 'node',
              'entity_id' => '[question:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'answer_author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'question',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Retract 15 reputation points from the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#weight' => 0,
          ),
          '2' => array(
            '#type' => 'action',
            '#settings' => array(
              'username' => '',
              'userid' => '[:global:user-id]',
              '#argument map' => array(
                'user_loaded' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'userid' => array(
                    '0' => ':global',
                  ),
                  'username' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#info' => array(
              'label' => 'Load the current user',
              'label callback' => FALSE,
              'new variables' => array(
                'current_user' => array(
                  'label' => 'current user',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#weight' => 0,
          ),
          '3' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Retract 2 points from the current user',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#settings' => array(
              'points' => '2',
              'description' => 'You retracted a best answer',
              'operation' => 'retract best answer',
              'entity_type' => 'node',
              'entity_id' => '[question:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'question',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_votes_down_an_answer' => array(
        '#type' => 'rule',
        '#set' => 'event_voting_rules_insert_node',
        '#label' => 'User votes down an answer',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'The node is an answer',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'answer' => 'answer',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The vote is down',
              'label callback' => FALSE,
              'arguments' => array(
                'vote' => array(
                  'type' => 'vote',
                  'label' => 'Vote',
                ),
              ),
              'module' => 'Votingapi',
            ),
            '#name' => 'voting_rules_condition_check_vote_value',
            '#settings' => array(
              'operator' => '<',
              'value' => '0',
            ),
            '#type' => 'condition',
          ),
          '2' => array(
            '#weight' => 0,
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'global $user;
return $node->uid != $user->uid;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'The user is not the answer author',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
          ),
          '3' => array(
            '#info' => array(
              'label' => 'The answer author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'return $node->uid != 0;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '3' => array(
            '#weight' => -10,
            '#info' => array(
              'label' => 'Load the current user',
              'label callback' => FALSE,
              'new variables' => array(
                'current_user' => array(
                  'label' => 'current user',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#settings' => array(
              'username' => '',
              'userid' => '[:global:user-id]',
              '#argument map' => array(
                'user_loaded' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'userid' => array(
                    '0' => ':global',
                  ),
                  'username' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Load the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'new variables' => array(
                'author' => array(
                  'label' => 'answer author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_action_node_load_author',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
                'author' => 'author',
              ),
            ),
            '#type' => 'action',
          ),
          '1' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'points' => '-2',
              'description' => 'A user voted your question down',
              'operation' => 'vote down',
              'entity_type' => 'node',
              'entity_id' => '[node:field_answer_question-nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Retract 2 reputation points from the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
          ),
          '2' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'points' => '-1',
              'description' => 'You voted a question down',
              'operation' => 'vote down',
              'entity_type' => 'node',
              'entity_id' => '[node:field_answer_question-nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Retract 1 reputation point from the current user',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_votes_down_a_question' => array(
        '#type' => 'rule',
        '#set' => 'event_voting_rules_insert_node',
        '#label' => 'User votes down a question',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'The node is a question',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'question' => 'question',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The vote is down',
              'label callback' => FALSE,
              'arguments' => array(
                'vote' => array(
                  'type' => 'vote',
                  'label' => 'Vote',
                ),
              ),
              'module' => 'Votingapi',
            ),
            '#name' => 'voting_rules_condition_check_vote_value',
            '#settings' => array(
              'operator' => '<',
              'value' => '0',
            ),
            '#type' => 'condition',
          ),
          '2' => array(
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'global $user;
return $node->uid != $user->uid;',
              'vars' => array(
                '0' => 'node',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'The user is not the question author',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#weight' => 0,
          ),
          '3' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The question author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'return $node->uid != 0;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'condition',
          ),
        ),
        '#actions' => array(
          '3' => array(
            '#weight' => -10,
            '#info' => array(
              'label' => 'Load the current user',
              'label callback' => FALSE,
              'new variables' => array(
                'current_user' => array(
                  'label' => 'current user',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'User',
              'eval input' => array(
                '0' => 'userid',
                '1' => 'username',
              ),
            ),
            '#name' => 'rules_action_load_user',
            '#settings' => array(
              'username' => '',
              'userid' => '[:global:user-id]',
              '#argument map' => array(
                'user_loaded' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'userid' => array(
                    '0' => ':global',
                  ),
                  'username' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
          '0' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Load the question author',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'new variables' => array(
                'author' => array(
                  'label' => 'question author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_action_node_load_author',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
                'author' => 'author',
              ),
            ),
            '#type' => 'action',
          ),
          '1' => array(
            '#type' => 'action',
            '#settings' => array(
              'points' => '-2',
              'description' => 'A user voted your question down',
              'operation' => 'vote down',
              'entity_type' => 'node',
              'entity_id' => '[node:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Retract 2 reputation points from the question author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#weight' => 0,
          ),
          '2' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'points' => '-1',
              'description' => 'You voted a question down',
              'operation' => 'vote down',
              'entity_type' => 'node',
              'entity_id' => '[node:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'current_user',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Retract 1 reputation point from the current user',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_votes_up_an_answer' => array(
        '#type' => 'rule',
        '#set' => 'event_voting_rules_insert_node',
        '#label' => 'User votes up an answer',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#info' => array(
              'label' => 'The node is an answer',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_condition_content_is_type',
            '#settings' => array(
              'type' => array(
                'answer' => 'answer',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The vote is up',
              'label callback' => FALSE,
              'arguments' => array(
                'vote' => array(
                  'type' => 'vote',
                  'label' => 'Vote',
                ),
              ),
              'module' => 'Votingapi',
            ),
            '#name' => 'voting_rules_condition_check_vote_value',
            '#settings' => array(
              'operator' => '>',
              'value' => '0',
            ),
            '#type' => 'condition',
          ),
          '2' => array(
            '#weight' => 0,
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'global $user;
return $node->uid != $user->uid;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'The user is not the answer author',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
          ),
          '3' => array(
            '#info' => array(
              'label' => 'The answer author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'return $node->uid != 0;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'condition',
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#weight' => -9,
            '#info' => array(
              'label' => 'Load the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'new variables' => array(
                'author' => array(
                  'label' => 'answer author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'Node',
            ),
            '#name' => 'rules_action_node_load_author',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
                'author' => 'author',
              ),
            ),
            '#type' => 'action',
          ),
          '1' => array(
            '#weight' => 0,
            '#type' => 'action',
            '#settings' => array(
              'points' => '10',
              'description' => 'A user voted your question up',
              'operation' => 'vote up',
              'entity_type' => 'node',
              'entity_id' => '[node:field_answer_question-nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#info' => array(
              'label' => 'Award 10 reputation points to the answer author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
          ),
        ),
        '#version' => 6003,
      ),
      'rules_user_votes_up_a_question' => array(
        '#type' => 'rule',
        '#set' => 'event_voting_rules_insert_node',
        '#label' => 'User votes up a question',
        '#active' => 1,
        '#weight' => '0',
        '#categories' => array(
          '0' => 'Answers Userpoints',
          'aup' => 'aup',
        ),
        '#status' => 'default',
        '#conditions' => array(
          '0' => array(
            '#weight' => 0,
            '#type' => 'condition',
            '#settings' => array(
              'type' => array(
                'question' => 'question',
              ),
              '#argument map' => array(
                'node' => 'node',
              ),
            ),
            '#name' => 'rules_condition_content_is_type',
            '#info' => array(
              'label' => 'The node is a question',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'module' => 'Node',
            ),
          ),
          '1' => array(
            '#type' => 'condition',
            '#settings' => array(
              'operator' => '>',
              'value' => '0',
            ),
            '#name' => 'voting_rules_condition_check_vote_value',
            '#info' => array(
              'label' => 'The vote is up',
              'label callback' => FALSE,
              'arguments' => array(
                'vote' => array(
                  'type' => 'vote',
                  'label' => 'Vote',
                ),
              ),
              'module' => 'Votingapi',
            ),
            '#weight' => 0,
          ),
          '2' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'The user is not the question author',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#settings' => array(
              'code' => 'global $user;
return $node->uid != $user->uid;',
              'vars' => array(
                '0' => 'node',
              ),
            ),
            '#type' => 'condition',
          ),
          '3' => array(
            '#type' => 'condition',
            '#settings' => array(
              'code' => 'return $node->uid != 0;',
              'vars' => array(
                '0' => 'node',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'code' => array(
                    '0' => ':global',
                  ),
                ),
              ),
            ),
            '#name' => 'rules_condition_custom_php',
            '#info' => array(
              'label' => 'The question author is not anonymous',
              'label callback' => FALSE,
              'module' => 'PHP',
              'eval input' => array(
                '0' => 'code',
              ),
            ),
            '#weight' => 0,
          ),
        ),
        '#actions' => array(
          '0' => array(
            '#type' => 'action',
            '#settings' => array(
              '#argument map' => array(
                'node' => 'node',
                'author' => 'author',
              ),
            ),
            '#name' => 'rules_action_node_load_author',
            '#info' => array(
              'label' => 'Load the question author',
              'label callback' => FALSE,
              'arguments' => array(
                'node' => array(
                  'type' => 'node',
                  'label' => 'Content',
                ),
              ),
              'new variables' => array(
                'author' => array(
                  'label' => 'question author',
                  'label callback' => FALSE,
                  'type' => 'user',
                ),
              ),
              'module' => 'Node',
            ),
            '#weight' => -9,
          ),
          '1' => array(
            '#weight' => 0,
            '#info' => array(
              'label' => 'Award 5 reputation points to the question author',
              'label callback' => FALSE,
              'arguments' => array(
                'user' => array(
                  'type' => 'user',
                  'label' => 'User',
                ),
              ),
              'module' => 'Userpoints',
              'eval input' => array(
                '0' => 'points',
                '1' => 'entity_id',
              ),
            ),
            '#name' => 'userpoints_action_grant_points',
            '#settings' => array(
              'points' => '5',
              'description' => 'A user voted your question up',
              'operation' => 'vote up',
              'entity_type' => 'node',
              'entity_id' => '[node:nid]',
              'tid' => '1',
              '#argument map' => array(
                'user' => 'author',
              ),
              '#eval input' => array(
                'token_rules_input_evaluator' => array(
                  'points' => array(
                    '0' => ':global',
                  ),
                  'entity_id' => array(
                    '0' => 'node',
                    '1' => ':global',
                  ),
                ),
              ),
            ),
            '#type' => 'action',
          ),
        ),
        '#version' => 6003,
      ),
    ),
  );
}

/**
 * Implementation of hook_views_api().
 */
function aup_views_api() {
  return array(
    'api' => '2',
  );
}
